
<div class="text-center home">
  <h2>XSS pohranjeni & Loša kontrola pristupa</h2>
</div>

<div class="m-5">
  <h5>Admin korisnički računi</h5>
  <p>
    Postoje dva korisnička računa s admin ovlastima.<br/>
    Admin može brisati poruke od drugih korisnika.
  </p>
  <p>
    admin:password<br/>
    admin2:password
  </p>

  <h5>XSS pohranjeni</h5>
  <p>
    Postoje dvije zaštite protiv XSS napada.<br/>
    Senatizacija podataka prije njihovog spremanja u bazu.<br/>
    Isključivanje izvršavanja HTML koda iz podataka koji se prikazuju.
  </p>

  <h5>Dobra kontrola pristupa</h5>
  <p>
    Ako je isključena dobra kontrola pristupa bilo tko može, ako zna putanju, urediti/obrisati poruku.<br/>
    <a href="#">/messages/<i>id</i>/edit</a> - uređivanje poruke<br/>
    <a href="#">/messages/<i>id</i>/delete</a> - brisanje poruke
  </p>
</div>

<br/><br/>
<h4 class='text-center'>Postavke</h4>
<div class="row">
  <div class="col-md-6 offset-3">
    <%= form_with(url: root_path, scope: :settings, local: true) do |f| %>
      <%= f.check_box :xssStore, checked: check_if_true(@settings['xssStore']) %>
      <%= f.label "XSS zaštita tokom spremanja u bazu", for: :settings_xssStore %>
      <br/>

      <%= f.check_box :xssRender, checked: check_if_true(@settings['xssRender']) %>
      <%= f.label "XSS zaštita tokom renderanja stranice", for: :settings_xssRender %>
      <br/>

      <%= f.check_box :accessControl, checked: check_if_true(@settings['accessControl']) %>
      <%= f.label "Dobra kontrola pristupa", for: :settings_accessControl %>
      <br/>

      <div class="text-center"><%= f.submit "Save", class: "mt-3 btn btn-primary" %></div>
    <% end %>
  </div>
</div>